Offset command - Problems?

Discussion in 'AutoCAD' started by Michael Waugh, Jun 28, 2003.

  1. I have a question regarding the Offset command. I recently took an
    interview test for a job, and during that test I discovered to my horror
    that lines I had offset using the OFFSET command were incorrect, ie not the
    intended distances that I had in fact, input. As a result the drawing was
    wrong and I effectively bombed the test (and maybe the job) despite my best
    intentions.

    Now, this is something I have encountered elsewhere on earlier versions of
    AutoCad., the program in this case happened to be Land Desktop. It seems to
    be hard to repeat the error and I told my interviewer that something was
    wrong.

    Has anyone encountered this type problem? I need some support.

    Mike Waugh
     
    Michael Waugh, Jun 28, 2003
    #1
    1. Advertisements

  2. Michael Waugh

    Paul Turvill Guest

    ....and your question is?
    ___
     
    Paul Turvill, Jun 28, 2003
    #2
    1. Advertisements

  3. Michael Waugh

    Chip Harper Guest

    Chip Harper, Jun 28, 2003
    #3
  4. Michael Waugh

    Jamie Duncan Guest

    Hi Michael: This lisp was designed by me to correct the problem, others can
    attest that it works just fine.

    (defun c:eek:fp (/ ss1 pt1 pt2 offdist en1 looper cosmo)
    (defun getthatpoly (/ temp)
    (setq temp T)
    (while temp
    (while (not (setq ss1 (ssget ":S"))))
    (if (or (= (cdr (assoc 0 (entget (ssname ss1 0)))) "POLYLINE")
    (= (cdr (assoc 0 (entget (ssname ss1 0)))) "LWPOLYLINE")
    )
    (setq temp nil)
    (princ "\nSelect a Polyline!:")
    )
    )
    )
    (initget 7)
    (setq offdist (getdist "\nInput Offset Distance:")
    looper T
    pt2 '(0 0)
    )
    (setq cosmo (getvar "osmode"))(setvar "osmode" 0)
    (while looper
    (getthatpoly)
    (initget "eXit")
    (setq pt1 (getpoint "\nIndicate Offset Point <eXit>:"))
    (if (or (= 'str (type pt1))(= pt1 nil))
    (setq looper nil)
    (progn
    (command ".move" ss1 "" pt1 pt2)
    (command ".offset" offdist (ssname ss1 0) pt2 "")
    (setq ss1 (ssadd (entlast) ss1))
    (command ".move" ss1 "" pt2 pt1)
    (setq ss1 (ssadd))
    )
    )
    )
    (setvar "osmode" cosmo)
    )
     
    Jamie Duncan, Jun 28, 2003
    #4
  5. To all:

    Thanks for the respones. In this case I was simply offsetting lines, not
    polylines. And, I am not currently experiencing this problem on my own
    computer. In the few instances when I have encountered this problem in the
    past, it may have happened on past older systems of mine where the ram
    memory was a little "low". I am not more interested in the cause or
    explanation, so I can issue a memo to my preosepective employer. Chip
    Harper, your reference appears to addres this problem with polylines
     
    Michael Waugh, Jun 28, 2003
    #5
  6. Dean

    The UCS was different, centered in the screen and 2-d, the rest I cant
    remember. I usually dont mess with the UCS much other than make sure it is
    displayed. Ever seen anything on memory poor machines, or after not saving
    for a while? I only found out (too late) after re-executing the command
    itself and the result of course was right and differed from the original.
    By that time the whol drawing was a basketcase. They were impressed with my
    work and everything else, until I sat down on one of thier machines. It's
    the first time I've had to do this, but setup is quite important to me. You
    know, it was a 45min test, and probably could have done the drawing in
    30min. But, I would have at least figured if they would test me on AutoCAD
    2004 with setups that I am more familiar with, rather than LDD, lacking
    toolbars, different mouse setup, no center button, etc. One gets used to
    those setups. I do. I spent half the time trying to correct mistakes after
    recognizing them. Hopefully, I have'nt blown it, at least not without damage
    control and I'm even wondering whether to try and engage them as I felt like
    I was booby trapped after the test. I told him, the offsets were'nt working
    right. Why would I offset a line incorrectly, you know?

    Anyway thanks.

    Mike
     
    Michael Waugh, Jun 28, 2003
    #6
  7. Michael Waugh

    Allen Jessup Guest

    Having a UCS set tends to make LDD buggy. But if you weren't using any of the LDD commands it shouldn't have made much difference. I personally don't recommend the use of UCS with LDD but others say they have no problems. Sorry I can't help any further.



    &nbsp;



    Allen



    "Michael Waugh" &lt;&gt; wrote in message news:...



    Well put, Dean.&nbsp; This is what I would have preferred, becuase I really felt mucked up by the machine I worked on.&nbsp;I for one, rely heavily on a mixture of mouse setups,&nbsp; toolbars (dont like 2004, having to re-familairize those) and command line stuff. A certain comfort zone,&nbsp;you know what I mean.



    I would like to agree with you regarding the hardware and memory related issues, what I dont understand is repeatability aspect of this problem. For example, I use the command, lets say 20 times. Tweny minutes later, I verify those dimensions by&nbsp;either using the same command (offset) on the the same original&nbsp;line(s) or by dimensioning those line, it is wrong. Just about every I have encountered this over the years, it has been an ambush situation because it is not something I normally look for, to my own demise. It happened to me on 2000i a couple of years ago and upon my own reflection may been&nbsp;are related to memory issues, such as (not exclusive) insufficient system memory, too many OSnap selections OR too many editing/changes without frequent drawing saves, the extent of which I personally dont know.&nbsp; Why?



    &nbsp;
     
    Allen Jessup, Jul 1, 2003
    #7
    1. Advertisements

Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.